<?php
session_start();
require_once('fpdf.php');
class PDF extends FPDF{
	function Header()
{
 

 $this->SetXY(0, 0);
    //$this->Image('logofon.png',90,15, 110, 40);
 $this->Ln(4);

 
   
}
function Footer()
{
 
    $this->SetY(-15);
    $this->SetFont('Arial','I',12);
    //$this->Cell(0,10,utf8_decode('Nª '.$this->PageNo()),0,0,'C');

}
}

$conexion=mysql_connect('localhost','foncredi_root','coope2015foncredit') or die("Problemas en la conexion".mysql_error());
   $base=mysql_select_db("foncredi_cooperativa",$conexion) or die ("No se encontro la base de Datos"); 
  
$cuentas=mysql_query("select * from cuentas where numero_cuenta=".$_GET['numero_cuenta']."",$conexion)  or
  die("Problemas en el select:".mysql_error());

if ($consul=mysql_fetch_array($cuentas)) {
	


$subgrupo=$consul['subgrupo'];

switch ($subgrupo) {
		case '1':
		$deno="FoncreAhorros";
		break;
		case '2':
		$deno="FoncreAhorros PlanProg.";
		break;
		case '3':
		$deno="FoncreAhorros Productivo.";
		break;
		case '4':
		$deno="Alcancia Electronica";
		break;
		case '5':
		$deno="Dinámica.";
		break;
		case '6':
		$deno="Dinamica Productiva";
		break;
		case '7':
		$deno="Micro Cuenta a la Vista";
		break;
		case '8':
		$deno="Billetera Estudiantil.";
		break;
		case '9':
		$deno="Certificado de Inversión Foninverst.";
		break;
		case '10':
		$deno="Certificado de Inversión Foninverst Especial.";
		break;
		case '11':
		$deno="Certificado de Inversión Foninverst en oro.";
		break;
		case '12':
		$deno="Certificado de Inversión Kubo Financiero.";
		break;
	default:
		# code...
		break;
}


}
$pdf = new PDF('L','mm','A4');
 
$pdf->AddPage();


$pdf->SetFont('Arial','',6);
   $conexion=mysql_connect('localhost','foncredi_root','coope2015foncredit') or die("Problemas en la conexion");
   $base=mysql_select_db("foncredi_cooperativa",$conexion) or die ("No se encontro la base de Datos"); 
   
   $consulta=mysql_query("select * from transacciones a join cuentas b where a.numero_cuenta=".$_GET['numero_cuenta']." order by id_transaccion desc limit 1",$conexion)  or
  die("Problemas en el select:".mysql_error());



       if($consult=mysql_fetch_array($consulta)) {
     
     $numero_tran = $consult['id_transaccion'];
     $tipo_tran = $consult['tipo_transaccion'];
     $cuenta = $_GET['numero_cuenta'];
     $monto = number_format($consult['monto'],2, '.', '');
     $contamonto=$pdf->GetStringWidth($monto);
     $fecha = $consult['fecha_registro'];
     $contafecha=$pdf->GetStringWidth($fecha);
     $hora = $consult['hora_registro'];
     $contahora=$pdf->GetStringWidth($hora);
     $descripcion = $consult['descripcion'];
     $contades=$pdf->GetStringWidth($descripcion);
     $cedula_a = $consul['cedula_a'];
     $contacedula=$pdf->GetStringWidth($cedula_a);

$afiliado = $consul['afiliado'];
$contafil= $pdf->GetStringWidth(utf8_decode($afiliado));
$agencia = $consult['agencia'];
$contagencia=$pdf->GetStringWidth($agencia);


   
      if ($tipo_tran==1) {
      	$monto_d="MONTO DEBITADO";
      }else if($tipo_tran==2){
      	$monto_d="MONTO DEPOSITADO";
      }



    //$pdf->Cell(10,7,"","",0);
  
 	/*$pdf->Cell(40,4,"NUMERO DE CUENTA","",0);
 	$pdf->Cell(40,4,"TIPO DE CUENTA","",0);
	$pdf->Cell(40,4,utf8_decode("FECHA DE TRANSACCIÓN"),"",0);
	$pdf->Cell(40,4,utf8_decode("HORA DE TRANSACCIÓN"),"",0);
	$pdf->Cell(40,4,"NUMERO DE RECIBO","",0);
	$pdf->Cell(40,4,utf8_decode("DESCRIPCIÓN"),"",0);
	$pdf->Cell(40,4,utf8_decode($monto_d),"",1);*/

 //$pdf->Cell(10,7,"","",0);
   
$mas=12;




 	$pdf->Cell(23,7,$cuenta.".","",0);
        $pdf->Cell($contafil,7,utf8_decode($afiliado).".","",0);
        $pdf->Cell($contacedula,7,$cedula_a.".","",0);
if($tipo_tran==2){
$pdf->Cell($contamonto+$mas,7,"depositobs.".$monto,"",0);
}else{
$pdf->Cell($contamonto+$mas,7,"retirobs.".$monto,"",0);
}
 	//$pdf->Cell(16,7,utf8_decode($deno).".","",0);
	$pdf->Cell($contafecha,7,$fecha.".","",0);
	$pdf->Cell($contahora,7,$hora.".","",0);
        $pdf->Cell($contagencia,7,"agencia".$agencia,"",0);

	//$pdf->Cell(15,7,$numero_tran.".","",0);
	//$pdf->Cell(13,7,utf8_decode($descripcion).".","",0);
	//$pdf->Cell(40,7,$monto." Bfs.","",0);


 




}

$pdf->Output('recibo.pdf','D');
?>